## vim-ultisnips 3.0

=== debian/changelog ===
vim-ultisnips (3.0-1) unstable; urgency=low

  * Initial release (Closes: #754086).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sun, 12 Oct 2014 18:11:54 +0200
