=== debian/control ===
Source: vim-ultisnips
Section: editors
Priority: optional
Maintainer: Michael Fladischer <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/SirVer/ultisnips
Vcs-Git: git://anonscm.debian.org/collab-maint/vim-ultisnips.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/vim-ultisnips.git

Package: vim-ultisnips
Architecture: all
Depends: python,
         vim-nox | vim-python,
         ${misc:Depends}
Recommends: vim-addon-manager,
            vim-snippets
Description: snippet solution for Vim
 UltiSnips provides snippet management for the Vim editor. A snippet is a short
 piece of text that is either re-used often or contains a lot of redundant
 text. UltiSnips allows you to insert a snippet with only a few key strokes.
 Snippets are common in structured text like source code but can also be used
 for general editing like, for example, inserting a signature in an email or
 inserting the current date in a text file.
 .
 This plugin can utilize the snippets provided by the vim-snippets package.
