## vim-ultisnips 3.1

=== debian/changelog ===
vim-ultisnips (3.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Shift to Python 3 already supported by the plugin. (Closes: #938777)

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sun, 20 Dec 2020 10:21:20 +0300

vim-ultisnips (3.1-3) unstable; urgency=medium

  * Declare directories inside /var/lib/vim/addons/ to be owned by this
    package. They get removed by dpkg if they are emtpy during package
    removal. This covers the case when vim-ultisnips is the only
    installed addon in vim-addon-manager and prevents unowned
    directories. (Closes: #810695)
  * Use dh-python to handle private python modules.
  * Run dh_python2 debhelper scripts before calling vim-addon-manager in
    postinst. This ensures that compiled Python byte code files are
    present when symlinks are created.
  * Include .pyc files in vim-addon-manager registry.
  * Bump Standards-Version to 3.9.7.
  * Reformat packaging files with cme for better readability.

 -- Michael Fladischer <fladi@debian.org>  Fri, 12 Feb 2016 12:15:33 +0100

vim-ultisnips (3.1-2) unstable; urgency=medium

  * Promote vim-addon-manager to Depends (from Recommends).
  * Fix file locations in vam registry.
  * Install rplugin files.
  * Add maintainer scripts to handle vim-addon-manager integration.

 -- Michael Fladischer <fladi@debian.org>  Mon, 21 Dec 2015 10:41:10 +0100

vim-ultisnips (3.1-1) unstable; urgency=low

  * New upstream release.
  * Change my email address to fladi@debian.org.

 -- Michael Fladischer <fladi@debian.org>  Sat, 19 Dec 2015 18:58:20 +0100
