=== debian/control ===
Source: vim-ultisnips
Maintainer: Michael Fladischer <fladi@debian.org>
Section: editors
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/vim-ultisnips.git
Vcs-Git: https://anonscm.debian.org/collab-maint/vim-ultisnips.git
Homepage: https://github.com/SirVer/ultisnips

Package: vim-ultisnips
Architecture: all
Depends: vim-addon-manager,
         vim-nox | vim-python3,
         ${misc:Depends},
         ${python3:Depends}
Recommends: vim-snippets
Description: snippet solution for Vim
 UltiSnips provides snippet management for the Vim editor. A snippet is a short
 piece of text that is either re-used often or contains a lot of redundant
 text. UltiSnips allows you to insert a snippet with only a few key strokes.
 Snippets are common in structured text like source code but can also be used
 for general editing like, for example, inserting a signature in an email or
 inserting the current date in a text file.
 .
 This plugin can utilize the snippets provided by the vim-snippets package.
