## vim-ultisnips 3.2

=== debian/changelog ===
vim-ultisnips (3.2-2) unstable; urgency=medium

  * test/vim_interface.py: Check Vim version through call to Vim's has()
    function. (Closes: #1028442)
  * test/vim_test_case.py: Respect the retries option in tests with the
    expected_error parameter.
  * debian/watch: Update to changed HTML on GitHub page.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 14 Jan 2023 20:11:35 +0300

vim-ultisnips (3.2-1) unstable; urgency=medium

  * New maintainer (Closes: #982604).
  * New upstream release.
  * Update debian/rules for the new release.
    - Stop calling Makefile from the new version
    - Reset redundant executable bit
  * Update the debian/watch file to version 4.
  * Update Debhelper compatibility level to 13.
    - Rely on dh-sequence-* virtual packages
  * Declare compliance with Standards-Version of version 4.6.1.
    - Add field Rules-Requires-Root: no into the debian/control file
    - Use secure URL in the Format field in the debian/copyright file
  * Migrate to dh-vim-addon, add optional NeoVim link.
    - Remove maintainer scripts that call to vim-addon-manager
    - Remove YAML description of the plugin
  * Move packaging repository to a new GitLab instance at salsa.debian.org.
  * Add upstream metadata.
  * Patch upstream tests to run autopkgtest against Vim and NeoVim.
    - Prefer python3 shebang in test_Interpolation.py
    - Run automated tests against installed UtliSnips
    - Detect vim_flavor from call to has('nvim')
    - Ignore in NeoVim broken test
      SnippetActions_PostActionModifiesCharAfterSnippet
    - Invert check_required_vim_version in
      Autotrigger_WillProduceNoExceptionWithVimLowerThan214
    - Check success of "tmux send-keys"
  * Update Lintian overrides.
    - Rename debian-watch-may-check-gpg-signature to
      debian-watch-does-not-check-gpg-signature
    - Mask unusual-interpreter for Python
  * Update the debian/copyright file.
    - Add the Upstream-Contact field
    - Update contribution years
    - Mention me in paragraph about the debian/ folder

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 16 Jul 2022 21:33:44 +0300
