=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: vim-ultisnips
-Maintainer: Michael Fladischer <fladi@debian.org>
+Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
 Section: editors
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               dh-sequence-vim-addon,
                python3-all
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/vim-ultisnips.git
-Vcs-Git: https://anonscm.debian.org/collab-maint/vim-ultisnips.git
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/vim-team/vim-ultisnips
+Vcs-Git: https://salsa.debian.org/vim-team/vim-ultisnips.git
 Homepage: https://github.com/SirVer/ultisnips
 
 Package: vim-ultisnips
 Architecture: all
-Depends: vim-addon-manager,
-         vim-nox | vim-python3,
+Depends: vim-nox | vim-python3,
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         ${vim-addon:Depends}
 Recommends: vim-snippets
 Description: snippet solution for Vim
  UltiSnips provides snippet management for the Vim editor. A snippet is a short
