=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ -S none

# Reset unnecessary executable bit of a non-runnable file in Python package.
execute_after_dh_install:
	chmod 0644 debian/vim-ultisnips/usr/share/vim-ultisnips/pythonx/UltiSnips/vim_helper.py

# Exclude huge GIFs from examples directory.
override_dh_installexamples:
	dh_installexamples -X \*.gif doc/examples/*
