=== debian/watch ===
version=4
opts=" \
  downloadurlmangle=s%releases/tag/(v?@ANY_VERSION@)$%archive/refs/tags/$1.tar.gz% ,\
  filenamemangle=s%(?:.*?/)?v?@ANY_VERSION@$%@PACKAGE@-$1.tar.gz%, \
" https://github.com/SirVer/ultisnips/releases releases/tag/v?@ANY_VERSION@$
